Help

0

Error 500 after install Odoo 15 on Ubuntu 22.04 VPS

Avatar
Jan Pompe

Installed with:

Ubuntu 22.04
Nginx
ufw ports allowed 22, 80, 443, 22/tcp (OpenSSH), 5432, 8072, 8069
Installed with Yenthe script
Added the odoo.conf to the Nginx configuration
Nginx is running without errors 

Now I have an 500 internal server error :  The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.

What can I / do I have to check?

Thanks in advance.

2Comments
Avatar
Discard
Avatar
Niyas Raphy
-

please see the odoo log for more info regarding the issue and update the question with info from log,

Avatar
Jan Pompe
-

Thank you Niyas,

2022-08-13 07:47:25,322 647 INFO ? werkzeug: 176.176.60.240 - - [13/Aug/2022 07:47:25] "[35m[1mGET / HTTP/1.1[0m" 500 - 1 0.002 0.007
2022-08-13 07:47:25,328 647 ERROR ? werkzeug: Error on request:
Traceback (most recent call last):
File "/odoo/odoo-server/odoo/http.py", line 1500, in _dispatch_nodb
result = request.dispatch()
File "/odoo/odoo-server/odoo/http.py", line 810, in dispatch
r = self._call_function(**self.params)
File "/odoo/odoo-server/odoo/http.py", line 360, in _call_function
return self.endpoint(*args, **kwargs)
File "/odoo/odoo-server/odoo/http.py", line 916, in __call__
return self.method(*args, **kw)
File "/odoo/odoo-server/odoo/http.py", line 535, in response_wrap
response = f(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 887, in index
return http.local_redirect('/web', query=request.params, keep_hash=True)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/werkzeug/serving.py", line 319, in run_wsgi
execute(self.server.app)
File "/usr/lib/python3/dist-packages/werkzeug/serving.py", line 308, in execute
application_iter = app(environ, start_response)
File "/odoo/odoo-server/odoo/service/server.py", line 482, in app
return self.app(e, s)
File "/odoo/odoo-server/odoo/service/wsgi_server.py", line 112, in application
return application_unproxied(environ, start_response)
File "/odoo/odoo-server/odoo/service/wsgi_server.py", line 87, in application_unproxied
result = odoo.http.root(environ, start_response)
File "/odoo/odoo-server/odoo/http.py", line 1336, in __call__
return self.dispatch(environ, start_response)
File "/odoo/odoo-server/odoo/http.py", line 1533, in dispatch
result = _dispatch_nodb()
File "/odoo/odoo-server/odoo/http.py", line 1502, in _dispatch_nodb
return request._handle_exception(e)
File "/odoo/odoo-server/odoo/http.py", line 748, in _handle_exception
return super(HttpRequest, self)._handle_exception(exception)
File "/odoo/odoo-server/odoo/http.py", line 301, in _handle_exception
raise exception.with_traceback(None) from new_cause
AttributeError: module 'odoo.http' has no attribute 'local_redirect' - - -